#
# spec file for package qlogic-rules
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		qlogic-rules
Version:	0.0.1
Release:	4.1
Summary:	Common udev rules to capture firmware dump (minidump)
License:	GPL-2.0
Group:		System/Diagnostics
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	99-qlogic.rules
Source1:	qla2xxx.sh
Source2:	qla4xxx.sh
Source3:	qlcnic.sh

%description
Common udev rules to capture firmware dump (minidump) for
qlcnic/qla2xxx/qla4xxx drivers.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/lib/udev/rules.d
cp %{SOURCE0} $RPM_BUILD_ROOT/lib/udev/rules.d/
cp %{SOURCE1} $RPM_BUILD_ROOT/lib/udev
cp %{SOURCE2} $RPM_BUILD_ROOT/lib/udev
cp %{SOURCE3} $RPM_BUILD_ROOT/lib/udev

%post

%postun

%files
%defattr(-,root,root)
%dir /lib/udev
%dir /lib/udev/rules.d
/lib/udev/rules.d/99-qlogic.rules
/lib/udev/qla2xxx.sh
/lib/udev/qla4xxx.sh
/lib/udev/qlcnic.sh

%changelog
* Thu Apr  3 2014 spargaonkar@suse.com
-Initial packaging (bnc#856471)
